Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.wrapper
Class TypeStrippedDocument

    java.lang.Object
      net.sf.saxon.tree.wrapper.AbstractVirtualNode
          net.sf.saxon.tree.wrapper.TypeStrippedNode
              net.sf.saxon.tree.wrapper.TypeStrippedDocument

All Implemented Interfaces:
  Source, PullEvent, DocumentInfo, Item<NodeInfo>, NodeInfo, ValueRepresentation<NodeInfo>, VirtualNode, WrappingFunction

    public class TypeStrippedDocument

extends TypeStrippedNode
implements DocumentInfo

A TypeStrippedDocument represents a view of a real Document in which all nodes are untyped

Field Summary

Fields inherited from class net.sf.saxon.tree.wrapper.AbstractVirtualNode
`docWrapper, node, parent`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`TypeStrippedDocument(DocumentInfo doc)` Create a type-stripped view of a document

Method Summary
`Configuration` | `getConfiguration()` Get the configuration
`long` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`SchemaType` | `getSchemaType()` Get the type annotation.
`int` | `getTypeAnnotation()` Get the type annotation of this node.
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`Iterator<String>` | `getUnparsedEntityNames()` Get the list of unparsed entities defined in this document
`Object` | `getUserData(String key)` Get user data held in the document node.
`boolean` | `isTyped()` Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED
`NodeInfo` | `selectID(String id, boolean getParent)` Get the element with a given ID, if any
`void` | `setUserData(String key, Object value)` Set user data on the document node.
`TypeStrippedNode` | `wrap(NodeInfo node)` Create a wrapped node within this document

Methods inherited from class net.sf.saxon.tree.wrapper.TypeStrippedNode
`atomize, compareOrder, copy, getDocumentRoot, getParent, isSameNodeInfo, iterateAxis, makeWrapper, makeWrapper`

Methods inherited from class net.sf.saxon.tree.wrapper.AbstractVirtualNode
`equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getPrefix, getRealNode, getRoot, getStringValue, getStringValueCS, getSystemId, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, iterateAxis, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Constructor Detail

### TypeStrippedDocument

    public TypeStrippedDocument(DocumentInfo doc)

  Create a type-stripped view of a document

  Parameters:
    `doc` - the underlying document

Method Detail

### wrap

    public TypeStrippedNode wrap(NodeInfo node)

  Create a wrapped node within this document

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `AbstractVirtualNode`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `AbstractVirtualNode`
  Returns:
    the NamePool

### getDocumentNumber

    public long getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `AbstractVirtualNode`
  Returns:
    the document number of the document containing this node

### isTyped

    public boolean isTyped()

  Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED

  Specified by:
    `isTyped` in interface `DocumentInfo`
  Returns:
    true if the document contains elements whose type is other than UNTYPED

### selectID

    public NodeInfo selectID(String id,
                             boolean getParent)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
    `getParent` -
  Returns:
    the element with the given ID value, or null if there is none.

### getUnparsedEntityNames

    public Iterator<String> getUnparsedEntityNames()

  Get the list of unparsed entities defined in this document

  Specified by:
    `getUnparsedEntityNames` in interface `DocumentInfo`
  Returns:
    an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned

### getUnparsedEntity

    public String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity (as an absolute URI if possible), the second holding the public ID if there is one, or null if not. If the entity does not exist, the method returns null. Applications should be written on the assumption that this array may be extended in the future to provide additional information.

### getTypeAnnotation

    public int getTypeAnnotation()

  Get the type annotation of this node. This implementation always returns XS_UNTYPED.

  Specified by:
    `getTypeAnnotation` in interface `NodeInfo`
  Overrides:
    `getTypeAnnotation` in class `TypeStrippedNode`
  Returns:
    XS_UNTYPED

### getSchemaType

    public SchemaType getSchemaType()

  Get the type annotation. This implementation always returns XS_UNTYPED.

  Specified by:
    `getSchemaType` in interface `NodeInfo`
  Overrides:
    `getSchemaType` in class `TypeStrippedNode`
  Returns:
    XS_UNTYPED

### setUserData

    public void setUserData(String key,
                            Object value)

  Set user data on the document node. The user data can be retrieved subsequently using `getUserData(java.lang.String)`

  Specified by:
    `setUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be set. Clients are responsible for choosing a key that is likely to be unique. Must not be null. Keys used internally by Saxon are prefixed "saxon:".
    `value` - The value to be set for the property. May be null, which effectively removes the existing value for the property.

### getUserData

    public Object getUserData(String key)

  Get user data held in the document node. This retrieves properties previously set using `setUserData(java.lang.String, java.lang.Object)`

  Specified by:
    `getUserData` in interface `DocumentInfo`
  Parameters:
    `key` - A string giving the name of the property to be retrieved.
  Returns:
    the value of the property, or null if the property has not been defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.